Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.typedarrays.client
Class Uint16ArrayNative

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.typedarrays.client.ArrayBufferViewNative
              com.google.gwt.typedarrays.client.Uint16ArrayNative

All Implemented Interfaces:
  ArrayBufferView, Uint16Array

    public final class Uint16ArrayNative

extends ArrayBufferViewNative
implements Uint16Array

JS native implementation of `Uint16Array`.

Field Summary

Fields inherited from interface com.google.gwt.typedarrays.shared.Uint16Array
`BYTES_PER_ELEMENT`

Constructor Summary
`protected` | `Uint16ArrayNative()`

Method Summary
`static Uint16ArrayNative` | `create(ArrayBuffer buffer)`
`static Uint16ArrayNative` | `create(ArrayBuffer buffer, int byteOffset)`
`static Uint16ArrayNative` | `create(ArrayBuffer buffer, int byteOffset, int length)`
`static Uint16ArrayNative` | `create(int length)`
`int` | `get(int index)` Retrieve one element of this view.
`int` | `length()` The length in elements of this view.
`void` | `set(int[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` | `set(int[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` | `set(int index, int value)` Set one element in this view.
`void` | `set(Uint16Array array)` Set multiple elements in this view from another view, storing starting at 0.
`void` | `set(Uint16Array array, int offset)` Set multiple elements in this view from another view, storing starting at the requested offset.
`Uint16Array` | `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
`Uint16Array` | `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

Methods inherited from class com.google.gwt.typedarrays.client.ArrayBufferViewNative
`buffer, byteLength, byteOffset`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView
`buffer, byteLength, byteOffset`

Constructor Detail

### Uint16ArrayNative

    protected Uint16ArrayNative()

Method Detail

### create

    public static Uint16ArrayNative create(ArrayBuffer buffer)

  Parameters:
    `buffer` -
  Returns:
    a `Uint16Array` instance

### create

    public static Uint16ArrayNative create(ArrayBuffer buffer,
                                           int byteOffset)

  Parameters:
    `buffer` -
    `byteOffset` -
  Returns:
    a `Uint16Array` instance

### create

    public static Uint16ArrayNative create(ArrayBuffer buffer,
                                           int byteOffset,
                                           int length)

  Parameters:
    `buffer` -
    `byteOffset` -
    `length` -
  Returns:
    a `Uint16Array` instance

### create

    public static Uint16ArrayNative create(int length)

  Parameters:
    `length` -
  Returns:
    a `Uint16Array` instance

### get

    public int get(int index)

  Description copied from interface: `Uint16Array`
  Retrieve one element of this view.

  Specified by:
    `get` in interface `Uint16Array`
  Returns:
    the requested element

### length

    public int length()

  Description copied from interface: `Uint16Array`
  The length in elements of this view.

  Specified by:
    `length` in interface `Uint16Array`
  Returns:
    non-negative length

### set

    public void set(int index,
                    int value)

  Description copied from interface: `Uint16Array`
  Set one element in this view.

  Specified by:
    `set` in interface `Uint16Array`

### set

    public void set(int[] array)

  Description copied from interface: `Uint16Array`
  Set multiple elements in this view from an array, storing starting at 0.

  Specified by:
    `set` in interface `Uint16Array`

### set

    public void set(int[] array,
                    int offset)

  Description copied from interface: `Uint16Array`
  Set multiple elements in this view from an array, storing starting at the requested offset.

  Specified by:
    `set` in interface `Uint16Array`

### set

    public void set(Uint16Array array)

  Description copied from interface: `Uint16Array`
  Set multiple elements in this view from another view, storing starting at 0.

  Specified by:
    `set` in interface `Uint16Array`

### set

    public void set(Uint16Array array,
                    int offset)

  Description copied from interface: `Uint16Array`
  Set multiple elements in this view from another view, storing starting at the requested offset.

  Specified by:
    `set` in interface `Uint16Array`

### subarray

    public Uint16Array subarray(int begin)

  Description copied from interface: `Uint16Array`
  Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.

  Specified by:
    `subarray` in interface `Uint16Array`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Uint16Array` instance

### subarray

    public Uint16Array subarray(int begin,
                                int end)

  Description copied from interface: `Uint16Array`
  Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.

  Specified by:
    `subarray` in interface `Uint16Array`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
    `end` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Uint16Array` instance

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD